Bug 656897 - [abrt] fedpkg-0.5.1.4-5.fc14: __init__.py:619:sources:IOError: [Errno 2] No such file or directory: '/home/yarda/git-fedora/rrdtool/master/rrdtool-1.4.4/sources'
Summary: [abrt] fedpkg-0.5.1.4-5.fc14: __init__.py:619:sources:IOError: [Errno 2] No s...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b1ff1631
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 13:58 UTC by Jaroslav Škarvada
Modified: 2013-01-10 06:21 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-19 21:05:21 UTC


Attachments (Terms of Use)
File: backtrace (1.30 KB, text/plain)
2010-11-24 13:58 UTC, Jaroslav Škarvada
no flags Details

Description Jaroslav Škarvada 2010-11-24 13:58:05 UTC
abrt version: 1.1.14
architecture: x86_64
comment: Well, it was by mistake, but at least it shouldn't hang (and invoke abrt).
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.35.6-48.fc14.x86_64
package: fedpkg-0.5.1.4-5.fc14
reason: __init__.py:619:sources:IOError: [Errno 2] No such file or directory: '/home/yarda/git-fedora/rrdtool/master/rrdtool-1.4.4/sources'
release: Fedora release 14 (Laughlin)
time: 1290606900
uid: 500

backtrace
-----
__init__.py:619:sources:IOError: [Errno 2] No such file or directory: '/home/yarda/git-fedora/rrdtool/master/rrdtool-1.4.4/sources'

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1086, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 535, in local
    return mymodule.local(arch=arch)
  File "/usr/lib/python2.7/site-packages/pyfedpkg/__init__.py", line 1363, in local
    sources(self.path)
  File "/usr/lib/python2.7/site-packages/pyfedpkg/__init__.py", line 619, in sources
    'r').readlines()
IOError: [Errno 2] No such file or directory: '/home/yarda/git-fedora/rrdtool/master/rrdtool-1.4.4/sources'

Local variables in innermost frame:
files: ['compile', 'depcomp', 'config.sub', 'rrdtool.spec', 'etc', 'configure.ac', 'favicon.ico', 'install-sh', 'src', 'ltmain.sh', 'examples', 'aclocal.m4', 'libtool', 'po', 'TODO', 'CHANGES', 'rrd_config.h.in', 'm4', 'ABOUT-NLS', 'config.guess', 'COPYING', 'WIN32-BUILD-TIPS.txt', 'config.rpath', 'COPYRIGHT', 'NEWS', 'configure.fix-tcl-site-option', 'Makefile.in', 'CONTRIBUTORS', 'autogen.sh', 'THREADS', 'netware', 'Makefile.am', 'README', 'missing', 'php4', 'win32', 'doc', 'configure', 'configure.rej', 'bindings']
f: 'rrdtool.spec'
module: 'rrdtool'
path: '/home/yarda/git-fedora/rrdtool/master/rrdtool-1.4.4'
spec: 'rrdtool.spec'
outdir: None

How to reproduce
-----
1. fedpkg co rrdtool
2. cd rrdtool
3. fedpkg prep
4. cd rrdtool-1.4.4
5. fedpkg prep

Comment 1 Jaroslav Škarvada 2010-11-24 13:58:09 UTC
Created attachment 462624 [details]
File: backtrace

Comment 2 Jesse Keating 2010-11-24 18:30:28 UTC
Right you are, we should catch this.

Comment 3 Jesse Keating 2010-12-03 00:10:07 UTC
Fixed upstream.

Comment 4 Fedora Update System 2011-01-06 18:50:39 UTC
fedora-packager-0.5.2.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 5 Fedora Update System 2011-01-06 19:01:48 UTC
fedora-packager-0.5.2.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc13

Comment 6 Fedora Update System 2011-01-06 19:04:08 UTC
fedora-packager-0.5.2.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc14

Comment 7 Fedora Update System 2011-01-07 17:35:43 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 8 Fedora Update System 2011-01-19 21:04:34 UTC
fedora-packager-0.5.2.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-01-31 15:52:43 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-01-31 19:55:23 UTC
fedora-packager-0.5.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.